Reply
Logi Nu
kinget
Posts: 3
Registered: ‎01-08-2009

"VC8 library was not installed correctly, please restart the machine and reinstall"

[ Edited ]

Having trouble installing SetPoint 4.70.

Im getting the ""VC8 library  was not installed correctly, please restart the machine and reinstall" message.

 

I have Vista x64 and a MX Revolution.

Message Edited by kinget on 01-08-2009 08:06 AM
Message Edited by kinget on 01-08-2009 08:06 AM
Logi Nu
dachil
Posts: 1
Registered: ‎01-14-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

I have exactly the same problem. i have to say also these: the first time i installed it to my pesronal pc without any problem at all. the second I tryed it on my work's Laptop (member of a Domain) and then the problem took place.

Thanks

Logi Nu
rsnyder
Posts: 1
Registered: ‎01-16-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

There is a work around for this. Install Setpoint 4.24 (64 bit) first then run Setpoint 4.7 and it should work.
Logi Nu
pipling
Posts: 1
Registered: ‎01-18-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

I'm getting exactly the same problem, but I'm on Win XP Pro, so the 64 bit workaround won't work for me. Any other ideas?
Logi Nu
akcrane
Posts: 1
Registered: ‎02-05-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

I was having the same problem with setpoint 4.70, Installed setpoint 4.60 it recognized my mouse, is working great......however I have not yet tried to update to 4.70
Logi Browser
boygod4u
Posts: 8
Registered: ‎02-12-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

I have this exact problem. Complete fresh install of Windows Vista x64, and Logitech Software was one of the first things I installed after Windows Updates concluded.

 

I also cannot locate any setpoint older than version 4.70, so I am stuck with no setpoint until this is fixed.

 

 

Logi Nu
odolu
Posts: 1
Registered: ‎02-21-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

Vista has built-in VC9 libraries aka Visual C++ 2008 Runtime Libraries. You need to install VC8 libraries aka Visual C++ 2005 Redistributable Package before installing SetPoint.

 

Microsoft Visual C++ 2005 Redistributable Package (x86)

 

Microsoft Visual C++ 2005 Redistributable Package (x64)

 

Microsoft Visual C++ 2005 Redistributable Package (IA64)

 

This worked for me

 

Logi Nu
ctchrono
Posts: 4
Registered: ‎04-02-2007

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

I just did this, and it worked!  My first 64-bit computer, and I'm a little skittish with it.  Your fix worked like a charm.  Thanks!
Logi Browser
boygod4u
Posts: 8
Registered: ‎02-12-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

If Vista is using VC9 Libraries.. then why is setpoint for Vista using VC8 Libraries?

 

 

Secondly - If you install Vista Service Pack 1 (x64) out of the box, it will not let you install 2005 Redistributable package (as in my case). The package for 2005 redistributable says that it cannot be installed on my OS, though after a FOUR HOUR SESSION with microsoft technical support (PAID SUPPORT) I was able to modify enough of the registry, and .net framework settings to ALLOW for the 2005 redistributable package install.

 

This is incredibly displeasing. It would appear that Microsoft has sent you a message Logitech. Stop using this 4 year old Library, and use the newer version for vista.

Logi Nu
tim1234
Posts: 1
Registered: ‎03-27-2009

Re: "VC8 library was not installed correctly, please restart the machine and reinstall"

Initially, I also could not get setpoint v4.72 to install, using Vista64 sp1 with all updates through 26 March 2009.

 

Whatfinally worked was to download v4.60 from softpedia.com:

 

http://drivers.softpedia.com/get/Other-DRIVERS-TOOLS/Others/Logitech-SetPoint-460-x64.shtml

 

after installing this version it automatically found the update to v4.72 and installed it...

 

hth